Search processing.org:

Reference for Processing (BETA) version 0135+. If you have a previous version, use the reference included with your software. If you see any errors or have any comments, let us know.

Name

### textDescent()

Examples

    PFont font;
    font = loadFont("FFScala-32.vlw");
    textFont(font);

    textSize(32);
    float descent = textDescent();
    text("dp", 0, 70);
    line(0, 70+descent, 100, 70+descent);

    textSize(64);
    descent = textDescent();
    text("dp", 35, 70);
    line(35, 70+descent, 100, 70+descent);

Description | Returns descent of the current font at its current size. This information is useful for determining the height of the font below the baseline. For example, adding the textAscent() and textDescent() values will give you the total height of the line.

Syntax

    textDescent()

Parameters

Usage | Web & Application
Related | textAscent()

Updated on February 09, 2008 04:38:52pm PST